Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# InternalNameCollection Class Reference

List of all members.

## Public Member Functions
| InternalNameCollection ()
| InternalNameCollection (InternalNameCollection const copy)
| addName (InternalName name)
| Adds a new InternalName to the collection.
| addNamesFrom (InternalNameCollection const other)
| Adds all the InternalNames indicated in the other collection to this name.
| clear ()
| Removes all InternalNames from the collection.
InternalName | getName (int index)
| Returns the nth InternalName in the collection.
list | getNames ()
int | getNumNames ()
| Returns the number of InternalNames in the collection.
bool | hasName (InternalName name)
| Returns true if the indicated InternalName appears in this collection, false otherwise.
InternalNameCollection | operator+ (InternalNameCollection const other)
| Returns a InternalNameCollection representing the concatenation of the two lists.
InternalNameCollection | operator+= (InternalNameCollection const other)
| Appends the other list onto the end of this one.
InternalNameCollection | operator= (InternalNameCollection const copy)
InternalName | operator[] (int index)
| Returns the nth InternalName in the collection.
| output (ostream out)
| Writes a brief one-line description of the InternalNameCollection to the indicated output stream.
| removeDuplicateNames ()
| Removes any duplicate entries of the same InternalNames on this collection.
bool | removeName (InternalName name)
| Removes the indicated InternalName from the collection.
| removeNamesFrom (InternalNameCollection const other)
| Removes from this collection all of the InternalNames listed in the other collection.
int | size ()
| Returns the number of names in the collection.
| write (ostream out, int indent_level)
| Writes a complete multi-line description of the InternalNameCollection to the indicated output stream.
| write (ostream out)
| Writes a complete multi-line description of the InternalNameCollection to the indicated output stream.

## Constructor & Destructor Documentation

InternalNameCollection | ( |  | ) |

InternalNameCollection | ( | InternalNameCollection const | copy | ) |

## Member Function Documentation

addName | ( | InternalName | name | ) |

Adds a new InternalName to the collection.

addNamesFrom | ( | InternalNameCollection const | other | ) |

Adds all the InternalNames indicated in the other collection to this name.

The other names are simply appended to the end of the names in this list; duplicates are not automatically removed.

clear | ( |  | ) |

Removes all InternalNames from the collection.

InternalName getName | ( | int | index | ) |

Returns the nth InternalName in the collection.

list getNames | ( |  | ) |

int getNumNames | ( |  | ) |

Returns the number of InternalNames in the collection.

bool hasName | ( | InternalName | name | ) |

Returns true if the indicated InternalName appears in this collection, false otherwise.

InternalNameCollection operator+ | ( | InternalNameCollection const | other | ) |

Returns a InternalNameCollection representing the concatenation of the two lists.

InternalNameCollection operator+= | ( | InternalNameCollection const | other | ) |

Appends the other list onto the end of this one.

InternalNameCollection operator= | ( | InternalNameCollection const | copy | ) |

InternalName operator[] | ( | int | index | ) |

Returns the nth InternalName in the collection.

This is the same as get_name(), but it may be a more convenient way to access it.

output | ( | ostream | out | ) |

Writes a brief one-line description of the InternalNameCollection to the indicated output stream.

removeDuplicateNames | ( |  | ) |

Removes any duplicate entries of the same InternalNames on this collection.

If a InternalName appears multiple times, the first appearance is retained; subsequent appearances are removed.

bool removeName | ( | InternalName | name | ) |

Removes the indicated InternalName from the collection.

Returns true if the name was removed, false if it was not a member of the collection.

removeNamesFrom | ( | InternalNameCollection const | other | ) |

Removes from this collection all of the InternalNames listed in the other collection.

int size | ( |  | ) |

Returns the number of names in the collection.

This is the same thing as get_num_names().

write | ( | ostream | out,
|  | int | indent_level
| ) |  |

Writes a complete multi-line description of the InternalNameCollection to the indicated output stream.

write | ( | ostream | out | ) |

Writes a complete multi-line description of the InternalNameCollection to the indicated output stream.

All Classes Namespaces Functions Variables Enumerations Enumerator Properties